# Uses of Class
org.eclipse.swt.events.HelpEvent

Packages that use HelpEvent
Package
Description
org.eclipse.jface.viewers
Provides a framework for viewers, which are model-based content adapters for SWT widgets.
org.eclipse.swt.events
SWT typed listener support.

## Uses of HelpEvent in org.eclipse.jface.viewers

Methods in org.eclipse.jface.viewers with parameters of type HelpEvent
Modifier and Type
Method
Description
`protected void`
Viewer.`fireHelpRequested(HelpEvent event)`
Notifies any help listeners that help has been requested.
`protected void`
Viewer.`handleHelpRequest(HelpEvent event)`
Handles a help request from the underlying SWT control.

## Uses of HelpEvent in org.eclipse.swt.events

Methods in org.eclipse.swt.events with parameters of type HelpEvent
Modifier and Type
Method
Description
`void`
HelpListener.`helpRequested(HelpEvent e)`
Sent when help is requested for a control, typically when the user presses F1.